BlobBuffer.UnicodeInputStream (jTDS API)
Keywords: net.sourceforge.jtds.util.BlobBuffer.UnicodeInputStream class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.util
Class BlobBuffer.UnicodeInputStream

    java.lang.Object
      java.io.InputStream
          net.sourceforge.jtds.util.BlobBuffer.UnicodeInputStream

Enclosing class:
  BlobBuffer

private class BlobBuffer.UnicodeInputStream
extends java.io.InputStream

A Big Endian Unicode `InputStream` over the CLOB buffer.

Field Summary
`private boolean` | `open`
`private int` | `readPtr`

Fields inherited from class java.io.InputStream
``

Constructor Summary
`BlobBuffer.UnicodeInputStream(long pos)` Costructs an InputStream object over the BLOB buffer.

Method Summary
`int` | `available()` Returns the number of bytes available to read.
`void` | `close()` Close the output stream.
`protected void` | `finalize()` Ensures underlying BLOB file can be closed even if user does not close this stream.
`int` | `read()` Reads the next byte from the stream.

Methods inherited from class java.io.InputStream
`mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### readPtr

    private int readPtr

### open

    private boolean open

Constructor Detail

### BlobBuffer.UnicodeInputStream

    public BlobBuffer.UnicodeInputStream(long pos)
                                  throws java.io.IOException

  Costructs an InputStream object over the BLOB buffer.

Parameters:
  `pos` - the starting position (from 0)
Throws:
  `java.io.IOException` - if an I/O error occurs

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Ensures underlying BLOB file can be closed even if user does not close this stream.

  Throws:
    `java.lang.Throwable`

### available

    public int available()
                  throws java.io.IOException

  Returns the number of bytes available to read.

  Throws:
    `java.io.IOException` - if an I/O error occurs

### read

    public int read()
             throws java.io.IOException

  Reads the next byte from the stream.

  Returns:
    the next byte as an `int` or -1 if at EOF
  Throws:
    `java.io.IOException` - if an I/O error occurs

### close

    public void close()
               throws java.io.IOException

  Close the output stream.

  Throws:
    `java.io.IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009